/*
 * Aipo is a groupware program developed by Aimluck,Inc.
 * Copyright (C) 2004-2008 Aimluck,Inc.
 * http://aipostyle.com/
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
package com.aimluck.eip.paidholidaylist;

import com.aimluck.commons.field.ALNumberField;
import com.aimluck.commons.field.ALStringField;
import com.aimluck.eip.common.ALData;
import com.aimluck.eip.util.ALEipUtils;

/**
 * 有給付与のResultDataです。 <BR>
 *
 */
public class PaidHolidayListResultData implements ALData {

/*Delete 趙丹2010/01/26 Start----  */	
//  /** Facility ID */
//  private ALNumberField facility_id;
//  
//  /** 有給付与名 */
//  private ALStringField facility_name;
//
//  /** メモ */
//  private ALStringField note;
//
//  /** 登録日 */
//  private ALStringField create_date;
//
//  /** 更新日 */
//  private ALStringField update_date;
//
//  /**
//   *
//   * @see com.aimluck.eip.common.ALData#initField()
//   */
//  public void initField() {
//    facility_id = new ALNumberField();
//    facility_name = new ALStringField();
//    note = new ALStringField();
//    note.setTrim(false);
//    create_date = new ALStringField();
//    update_date = new ALStringField();
//  }
//
//  /**
//   * @return
//   */
//  public ALNumberField getFacilityId() {
//    return facility_id;
//  }
//
//  /**
//   * @return
//   */
//  public ALStringField getFacilityName() {
//    return facility_name;
//  }
//
//  /**
//   * @return
//   */
//  public String getStringFacilityName() {
//    return facility_name.getValue();
//  }
//  /**
//   * @param i
//   */
//  public void setFacilityId(long i) {
//    facility_id.setValue(i);
//  }
//
//  /**
//   * @param string
//   */
//  public void setFacilityName(String string) {
//    facility_name.setValue(string);
//  }
//
//  /**
//   * @return
//   */
//  public String getNote() {
//    return ALEipUtils.getMessageList(note.getValue());
//  }
//
//  /**
//   * @param string
//   */
//  public void setNote(String string) {
//    note.setValue(string);
//  }
//
//  /**
//   * @return
//   */
//  public ALStringField getCreateDate() {
//    return create_date;
//  }
//
//  /**
//   * @return
//   */
//  public ALStringField getUpdateDate() {
//    return update_date;
//  }
//
//  /**
//   * @param string
//   */
//  public void setCreateDate(String string) {
//    create_date.setValue(string);
//  }
//
//  /**
//   * @param string
//   */
//  public void setUpdateDate(String string) {
//    update_date.setValue(string);
//  }
	
/*Delete 趙丹2011/01/26 End----  */	
	
/*Add 趙丹 2010/01/26 Start----  */
	  /** Paid Holiday List ID */
	  private ALNumberField paid_holiday_list_id;
	  
	  /** 勤続年数 */
	  private ALNumberField serve_years;

	  /** 付与日数 */
	  private ALNumberField paid_holiday_days;
	  /**  */
	  private ALStringField update_date;
	  /** 付与日数 */
	  private ALStringField create_date;

	  /**
	   *
	   * @see com.aimluck.eip.common.ALData#initField()
	   */
	  public void initField() {
		paid_holiday_list_id = new ALNumberField();
		serve_years = new ALNumberField();
		paid_holiday_days = new ALNumberField();
		update_date = new ALStringField();
		create_date = new ALStringField();
	  }

	  /**
	   * @return
	   */
	  public ALNumberField getPaidHolidayListId() {
	    return paid_holiday_list_id;
	  }

	  /**
	   * @return
	   */
	  public ALNumberField getServeYears() {
	    return serve_years;
	  }

	  /**
	   * @return
	   */

	  
	  public double getDoubleServeYears() {
	    return serve_years.getValue();
	  }
	  /**
	   * @param i
	   */
	  public void setPaidHolidayListId(long i) {
		  paid_holiday_list_id.setValue(i);
	  }

	  /**
	   * @param string
	   */
	  public void setServeYears(long i) {
		  serve_years.setValue(i);
	  }

	  /**
	   * @return
	   */
	  public ALNumberField getPaidHolidayDays() {
	    return paid_holiday_days;
	  }

	  /**
	   * @param string
	   */
	  public void setPaidHolidayDays(long i) {
		  paid_holiday_days.setValue(i);
	  }
	  
	 
	  public String getStringServeYears(){
		  return (Double.valueOf(serve_years.getValue())/12+"").substring(0,(serve_years.getValue()/12+"").length()+2)+" 年 ( "+serve_years.getValue()+" ヶ月) ";
	  }
	 
	  public String getStringPaidHolidayDays() {
		    return paid_holiday_days.getValue()+".0";
		  }
	  
	  public void setUpdateDate(String string){
		  update_date.setValue(string);
	  }
	  
	  public void setCreateDate(String string){
		  create_date.setValue(string);
	  }
/*Add 趙丹 2010/01/26 End----  */
   
}